<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<!--
       Google tracking
    -->
<th:block th:fragment="googleTracking(code)">
    <script async="async" th:src="${'https://www.googletagmanager.com/gtag/js?id=' + code}"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag() { dataLayer.push(arguments); }
        gtag('js', new Date());
        gtag('config', '<th:block th:text="${code}"></th:block>');
    </script>
</th:block>

<!--
        Information dialog with different levels (supported success, warning, error)
    -->
<th:block th:fragment="score">
    <div id="tbt-score-widget">
        <a href="/profile/score">
            <div class="content loader">
                <div class="progress">
                    <div class="wrapper">
                        <div class="bar" style="width:0"><span class="current">0</span></div>
                        <span class="total"></span>
                    </div>
                </div>
                <div class="star">
                </div>
            </div>
        </a>
    </div>
</th:block>

<!--
    Information dialog with different levels (supported success, warning, error)
-->
<th:block th:fragment="dialog(level, message, messageParam)">
    <div th:classappend="${level}" class="dialog">
        <div class="shape">
            <div class="glyphicon glyphicon-remove-circle"></div>
        </div>
        <th:block th:text="#{${message}(${messageParam})}"/>
    </div>
</th:block>

<!--
    JS translation entry
-->
<th:block th:fragment="js-i18n(code)">
    "<th:block th:text="${code}"/>":"<th:block th:text="#{${code}}"/>"
</th:block>

</body>
</html>